﻿@model List<App.Data.Entities.Orphanage>
@{
    ViewBag.Title = "Home Page";
}

<main>

    <div class="row">
        <h1>Orphanages</h1>
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    @foreach (var col in ViewBag.Columns)
                    {
                        <th>@col</th>
                    }
                    @if (User.Identity.IsAuthenticated)
                    {
                        <th>
                            Modify
                        </th>
                    }
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        @foreach (var col in ViewBag.Columns)
                        {
                            var a = item.GetType().GetProperty(col);
                            if (a == null)
                            {
                                <td>Information Not Found</td>
                            }
                            else
                            {
                                <td>@a.GetValue(item, null)</td>
                            }
                        }
                        @if (User.Identity.IsAuthenticated)
                        {
                            <td class="d-flex justify-content-center gap-3 h-50">
                                @using (Html.BeginForm("Delete", "Home", FormMethod.Post))
                                {
                                    @Html.Hidden("Id", item.Id)
                                    <button type="submit" class="btn p-sm-1 text-danger fw-bold" onclick="return confirm('Are you sure you want to delete this?')">
                                        Delete
                                    </button>
                                }
                                @using (Html.BeginForm("Update", "Home", FormMethod.Get))
                                {
                                    @Html.Hidden("Id", item.Id)
                                    <button type="submit" class="btn p-sm-1 fw-bold">
                                        Update
                                    </button>
                                }
                            </td>
                        }


                    </tr>
                }
            </tbody>
        </table>
    </div>
    @if (User.Identity.IsAuthenticated)
    {
        <div class="row">
            <button class="btn btn-primary w-25">
                @Html.ActionLink("Add", "Add", "Home", new { area = "" }, new { @class = "nav-link" })
            </button>
        </div>
    }

</main>